reverse.hpp File Reference
`#include <msgpack/preprocessor/array/data.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/reverse.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_REVERSE(array) MSGPACK_PP_ARRAY_REVERSE_I(array)
#define | MSGPACK_PP_ARRAY_REVERSE_I(array) (MSGPACK_PP_ARRAY_SIZE(array), MSGPACK_PP_TUPLE_REVERSE(MSGPACK_PP_ARRAY_SIZE(array), MSGPACK_PP_ARRAY_DATA(array)))

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_REVERSE

#define MSGPACK_PP_ARRAY_REVERSE | ( |  | array | ) | MSGPACK_PP_ARRAY_REVERSE_I(array)

## MSGPACK_PP_ARRAY_REVERSE_I

#define MSGPACK_PP_ARRAY_REVERSE_I | ( |  | array | ) | (MSGPACK_PP_ARRAY_SIZE(array), MSGPACK_PP_TUPLE_REVERSE(MSGPACK_PP_ARRAY_SIZE(array), MSGPACK_PP_ARRAY_DATA(array)))